package com.gingersoft.gsa.cloud.main.mvp.model.bean;

import java.util.List;

/**
 * Created by Wyh on 2020/2/26.
 * 銷售分析——食品top10
 */
public class SalesFoodsBean {

    /**
     * success : true
     * sysTime : 1584013508073
     * data : {"salesAnalysis":[],"salesRanking":[{"productName":"青菜","price":0,"number":87,"amount":0},{"productName":"火鍋","price":200,"number":75,"amount":15000},{"productName":"牛奶","price":5,"number":40,"amount":200},{"productName":"雞米花","price":20,"number":29,"amount":580},{"productName":"豆漿","price":5,"number":25,"amount":125},{"productName":"拉麵","price":50,"number":20,"amount":1000},{"productName":"燒麥","price":5,"number":20,"amount":100},{"productName":"餃子","price":10,"number":19,"amount":190},{"productName":"包子","price":5,"number":18,"amount":90},{"productName":"抄時蔬","price":20,"number":9,"amount":180},{"productName":"煲仔飯","price":25,"number":7,"amount":175},{"productName":"牛肉炒飯","price":15,"number":6,"amount":90},{"productName":"奶茶-顯示","price":15,"number":5,"amount":75},{"productName":"王老吉","price":10,"number":5,"amount":50},{"productName":"西紅柿蛋湯","price":20,"number":4,"amount":80},{"productName":"青椒炒肉","price":20,"number":3,"amount":60},{"productName":"壽司","price":20,"number":2,"amount":40},{"productName":"￥","price":0,"number":1,"amount":0}]}
     */

    private boolean success;
    private long sysTime;
    private DataBean data;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public long getSysTime() {
        return sysTime;
    }

    public void setSysTime(long sysTime) {
        this.sysTime = sysTime;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public static class DataBean {
        private List<?> salesAnalysis;
        private List<SalesRankingBean> salesRanking;

        public List<?> getSalesAnalysis() {
            return salesAnalysis;
        }

        public void setSalesAnalysis(List<?> salesAnalysis) {
            this.salesAnalysis = salesAnalysis;
        }

        public List<SalesRankingBean> getSalesRanking() {
            return salesRanking;
        }

        public void setSalesRanking(List<SalesRankingBean> salesRanking) {
            this.salesRanking = salesRanking;
        }

        public static class SalesRankingBean {
            /**
             * productName : 青菜
             * price : 0.0 單價
             * number : 87 數量
             * amount : 0  總金額
             */

            private String productName;
            private double price;
            private int number;
            private int amount;

            public String getProductName() {
                return productName;
            }

            public void setProductName(String productName) {
                this.productName = productName;
            }

            public double getPrice() {
                return price;
            }

            public void setPrice(double price) {
                this.price = price;
            }

            public int getNumber() {
                return number;
            }

            public void setNumber(int number) {
                this.number = number;
            }

            public int getAmount() {
                return amount;
            }

            public void setAmount(int amount) {
                this.amount = amount;
            }
        }
    }
}
